Browser (if web

client):

Description

Instead of building from a template, use a String with the content of the xhtml.

Related issues:
Related to VelocityReport Plugin - Feature #294: Option to allow DB-stored te... Closed 05/05/2011

History

#1 - 08/05/2010 03:55 PM - Patrick Talbot

- Tracker changed from Defect to Feature

#2 - 08/10/2010 05:26 AM - Patrick Talbot

- Target version set to v2.0

#3 - 08/12/2010 07:37 AM - Patrick Talbot
- Status changed from New to In Progress

- % Done changed from 0 to 90

Working on it...
Almost done! Still need to do some extended tests and | will update the sample solution and the wiki with some usage explanations.

In short, | didn't change the method signatures, but the contextObject can now use 2 more parameters that you can set to define the new behavior:

e fromString: a boolean, - if true the template will be read from the string provided, - if false or not present, will try to read a template file on the
server as before,

¢ baseHREF: a URL, with fromString=true, if the xhtml provided in the String has external dependencies (css, images), giving a baseHREF will be
needed for the plugin to find them. This is a URL which can be of the form http:// orhttps:// - or file:/// if the file is on the client side.

| have also deprecated the updatePreview() method of the plugin in favor of an update() method on the Viewer object returned by the
previewToComponent() method.

From now on, the previewReport() will also return a Viewer object, thus updating the preview window will also be possible (in smart client only) using
Viewer.update()

With such big changes and major possibilities added, | decided that this version will be labeled 1.3.0

#4 - 08/13/2010 06:48 AM - Patrick Talbot

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Close with new version 1.3.0 - see Revision R369 to R371
